require 'rails_helper'

RSpec.describe "membership_actions/show", type: :view do
  before(:each) do
    @membership_action = assign(:membership_action, MembershipAction.create!(
      :membership_type => "Membership Type",
      :is_active => false,
      :gateway_communication_type => "Gateway Communication Type",
      :gateway_url => "Gateway Url",
      :auth_token => "Auth Token",
      :merchant_account_id => "Merchant Account",
      :created_by => "Created By",
      :additional_parameter => ""
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(/Membership Type/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/Gateway Communication Type/)
    expect(rendered).to match(/Gateway Url/)
    expect(rendered).to match(/Auth Token/)
    expect(rendered).to match(/Merchant Account/)
    expect(rendered).to match(/Created By/)
    expect(rendered).to match(//)
  end
end
